{% load static %}
<html>
    <head>
        <title>App Enquetes</title>
        <link rel="stylesheet" typy="text/css"
              href="{% static 'enquetes/estilo.css' %}" />
    </head>
    <body>
        <h2 align="center">Aplicação de Enquetes<br/>
        <img alt="Imagem alusiva à aplicação" width="218" height="125"
             src="{% static 'enquetes/imagens/enquete.png' %}" /></h2>
        <hr/>
        {% if messages %}
            <ul class="messages">
            {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>
                    {{ message }}
                </li>
            {% endfor %}
            </ul><hr/>
        {% endif %}
        <h3>Formulário de Login</h3>

        {% if form.errors %}
            <p>Usuário e senha inválidos, tente novamente!</p>
        {% endif %}
        {% if next %}
            {% if user.is_authenticated %}
                <p>Sua conta não tem acesso a página acessada.Tente realizar
                login com uma conta com permissão para tal.</p>
            {% else %}
                <p>Realize o login para ter acesso a página.</p>
            {% endif %}
        {% endif %}
        <form method="post" action="{% url 'login' %}">
            {% csrf_token %}
            <table>
                <tr>
                    <td>Login:</td>
                    <td>{{ form.username }}</td>
                </tr>
                <tr>
                    <td>Senha:</td>
                    <td>{{ form.password }}</td>
                </tr>
                <tr>
                    <td colspan="2">
                        <input type="submit" value="Efetuar Login"/>
                    </td>
                </tr>
            </table>
            {% if next %}
                <input type="hidden" name="next" value="{{ next }}">
            {% else %}
                <input type="hidden" name="next" value="{% url 'enquetes:index' %}">
            {% endif %}
        </form>
        Ainda não tem cadastro? <a href="{% url 'enquetes:novo_usuario' %}">
        Clique aqui e faça o seu cadastro</a>.
        <hr/>
        <a href="{% url 'password_reset' %}">Esqueceu a senha?</a>&ensp;|&ensp;
        <a href="{% url 'enquetes:index' %}">Lista das enquetes</a>&ensp;|&ensp;
        <a href="{% url 'enquetes:nova' %}">Cadastrar nova enquete</a>
    </body>
</html>